import { AuthService } from './AuthService';
import { XHR } from '../../icc-api/api/XHR';
import Header = XHR.Header;
export declare class BasicAuthService implements AuthService {
    private username;
    private password;
    private error;
    constructor(username: string, password: string);
    getAuthHeaders(): Promise<Array<Header>>;
    private _base64Encode;
    invalidateHeader(error: Error): void;
}
